# Promotion banners

Banners are images that can be positioned in your search results and link to a URL.

![Preview of a banner in promotion rules](/files/pm2YHWhCuRlRXrXCyM8y)

Banner information is sent as part of the regular search response and does not require any additional API calls.

If a category page or search query features a banner, the regular [query collection API ](https://dev.search.io/docs/api/#operation/QueryCollection)call returns an array of banners with the following attributes.

```json
"banners": [
    {
    "description": "string",
    "height": 0, // number of vertical grid cells the banner should occupy 
    "width": 0, // number of horizontal grid cells the banner should occupy
    "id": "string",
    "image_url": "string", // the url to the banner image
    "position": 0, // the position at which to inject the banner
    "target_url": "string",
    "text_color": "string",
    "text_position": "TEXT_POSITION_UNSPECIFIED",
    "title": "string"
    }
],
```

Use the above details to render the banner in the correct position in your custom UI.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.search.io/developer-documentation/guides/feature-implementation/promotion-banners.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
